using VetClinicContracts.BindingModels;
using VetClinicContracts.SearchModels;
using VetClinicContracts.ViewModels;

namespace VetClinicContracts.BusinessLogicsContracts
{
    public interface IAdminLogic
    {
        List<AdminViewModel>? ReadList(AdminSearchModel? model);
        AdminViewModel? ReadElement(AdminSearchModel model);
        bool Create(AdminBindingModel model);
        bool Update(AdminBindingModel model);
        bool Delete(AdminBindingModel model);
    }
}
